Subject: Confirmation boxes oto icon kat single view

Description

Metd to demo sinape 1L Ta confirmation boxes TipemeL va potdlouv o oAU e to "create new +" button.
Ma to Adyo autd kat yia va tatptdfouv pe To urolouro layout €xw aveBdoel To mockup:
https://code.grnet.gr/attachments/download/195/web layout 0.1.1-confirm.png

>e ouvOuaouo pe OtL To hover ota actions €xet aAAd&el (mockup #669 4) yivovTal Ta €Eng:

1. Katd 1o hover ota actions Byaivel €va box dnwg €dw https://code.grnet.gr/attachments/download/193/web_layout 0.1.1.png

2. MéALg 0 xprioTng matrioet kdroto action t1dte Byaivel €va button akptBwg dimha and tnv erAoyr] ou SLAAEEE (Blou TAGTOG pE TO
hover

3. To button autd €xet Ta duo xpwuata tou "Create New +" kat kdvel To avtioTolyo hover dtav o xpriotng ndet ndvw and to "confirm”
4. Otav o xpriotng mdel idvw ano to de&l uEPOG Tou KoupTou (auTo Tou eEExeL €Ew ard To pane) To "X" yiveTal Aeukd Kat av To
natnoel £xoupe tn Aettoupyia Tou "cancel” dnAadn ofrjvouv Ta ndvta.

5. Av o xpriotng pe avapugvo to confirmation button matrjost dAAo action, Tdte To button petakiveital d{rmAa oto kawvoupLo action.

H Aettoupyia elval rj (dla kat yLa to icon view kat yLa to single view.
H pmndpa yia confirm all/cancel all mapapgvel wg €xet

Associated revisions

Revision e8fcd1f0 - 06/22/2011 03:02 pm - Mike Muzurakis

fix destroy confirmation positioning in single view, Refs #675

History

#1 - 06/10/2011 06:24 pm - Vangelis Koukis

- Target version set to v0.5
#2 - 06/14/2011 03:54 pm - Christos Psaltis

- Status changed from Assigned to Feedback

YXETIKA Pe To onpeio 5. Zto icon view dnAadr Ba prnopeiq va eTAEEELG TOAAEG evEpyeleg, ahAd Ba paivetat uévo €va koupri. Pavtdlopat Ot

npokeLTal yla Adbog kat 6Tt Ba eppavileTal €va koupTi yla kdBe evepyela Tou €XeL ETAEYEL, OTwg YiveTal kat TWpa.

#3 - 06/14/2011 03:56 pm - Constantinos Venetsanopoulos
- Status changed from Feedback to Assigned

Exelg dikio. Evvoouoa dAAo action (dlou machine. ©a ¢paivovtat confirmation boxes dirmAa o 6Aa ta nmatnueva actions

03/20/2024 1/3



https://code.grnet.gr/attachments/download/195/web_layout_0.1.1-confirm.png
https://code.grnet.gr/attachments/download/193/web_layout_0.1.1.png

#4 - 06/18/2011 01:30 pm - Christos Psaltis

AuTO €xel yivel yla To icon view, pe apkeTEG aAAayeg oto template, Ta events kat To css.

Eni tng epgpdviong mipa didgpopeg npwToPfoulieg T600 aTo error box, Tou epgaviCetal dirha oTo pnydvnua dtav anotuyxdvel KAmoLo action, oo Kat

oto multiple confirmation. Ot aAAay€g €ytvav yla va €Xoupe €va Tio opoloyeveg "look and feel" kat yla va yivouv kdmoleg ETLAOYEG TLO EUAVAYVWOTEG,.
To agprivw avotyTo PEXPL va yivouv Kat oL avtioTolxeq aAAayeg oo single view kat ota diktua. To teAeutaio dev eivat ugpog autou Tou ticket, aAAd

Kkat idAL yia Adyoug opotygvelag Ba miperel va dAAa&oulv kat ekel Ta confirmations.

#5 - 06/21/2011 10:38 am - Christos Psaltis
- Status changed from Assigned to Feedback

AuTO €ylve Kat ota duo views (networks, single) Tiou ekkpepouoav.

#6 - 06/23/2011 01:27 pm - Constantinos Venetsanopoulos

- Status changed from Feedback to Assigned

elval ok, To aprjvw avolyTo yla ta diktua, aAAd napntripnoa 2 npdyuata:

1. To xpwpa Tou confirmation oto icon view vopiCw dev eival To (dLo opTokali pe To create new. Paivetal oav va €xel iepdoel pLa dagpdvela and

ndvw tou. To hover givat ok Kat 1o "X" SoUAeUEL aKPLBWG OTIWG TIPETEL.

2. Mepkeg popeq ot stopped unxavripgata natwvtag destroy Byaivel to confirmation box wnAd kat dxt dimha oto destroy

#7 - 06/23/2011 02:29 pm - Christos Psaltis
- Status changed from Assigned to Feedback

H Siapdvela Tou koupmou dtopBwbnke. To xpwua Tou elval akppwg (Blo pe autd Tou Pdyou, alld dtav EXEL DLAPOPETIKO PpOvTo palvetal Kat Alyo

OLAPOPETIKA OTO PATL.

To orjyelo ou avaPePeELg e TNV aToiylon dev £Xw KaTagpePEL va To avanapdyw. lowg va eivat kdmolo otiypaio KOAAnua g js.

#8 - 06/23/2011 02:49 pm - Constantinos Venetsanopoulos
- Status changed from Feedback to Assigned

ok To xpwpa. Na avanapaywyn:

X¢ building pnxdvnua ndta destroy. To confirmation box Byaivel mdvw mdvw

#9 - 06/23/2011 02:59 pm - Christos Psaltis
- Status changed from Assigned to Feedback

Eilxeq diklo, To (S0 MPdBANua urmpxe kat oto reboot. Ta dépbwaoa oto commit:041f334
#10 - 06/23/2011 03:22 pm - Constantinos Venetsanopoulos
- Status changed from Feedback to Closed

ok, closed
